@import '../../../global.scss';

.schedule {
    &__calendar {
        display: block;
        height: 225px;
        overflow: hidden;
        & table.table-bordered {
            background-color: transparent;
        }

        & th {
            color: var(--ion-color-primary);
        }

        & td.monthview-current {
            background-color: transparent;
        }
        & td.monthview-selected {
            background-color: var(--ion-color-primary);
            color: var(--ion-color-white);
            height: 35px;
            width: 35px;
            border-radius: 50%;
            margin: auto;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .table-bordered,
        .table-bordered > thead > tr > th,
        .table-bordered > tbody > tr > th,
        .table-bordered > tfoot > tr > th,
        .table-bordered > thead > tr > td,
        .table-bordered > tbody > tr > td,
        .table-bordered > tfoot > tr > td {
            border: none !important;
            font-size: 15px;
        }

        .table-bordered > thead > tr > th small {
            font-size: 15px;
        }

        .table-bordered tbody tr:last-child {
            display: none;
        }
    }

    &__time {
        display: flex;
    }

    &__hours {
        opacity: 0.9;
        &::part(icon) {
            display: none;
        }
    }
}
